Index: trunk/SophyaProg/PMixer/Makefile
===================================================================
--- trunk/SophyaProg/PMixer/Makefile	(revision 2751)
+++ trunk/SophyaProg/PMixer/Makefile	(revision 2765)
@@ -12,30 +12,91 @@
 	echo $@ " done"
 $(SOPHYAEXEP)skymixer: $(SOPHYAOBJP)skymixer.o
-	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)skymixer.o $(SOPHYAEXTSLBLIST)
  
 extractRS: $(SOPHYAEXEP)extractRS
 	echo $@ " done"
 $(SOPHYAEXEP)extractRS: $(SOPHYAOBJP)extractRS.o
-	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)extractRS.o $(SOPHYAEXTSLBLIST)
  
 tgrsr: $(SOPHYAEXEP)tgrsr
 	echo $@ " done"
 $(SOPHYAEXEP)tgrsr: $(SOPHYAOBJP)tgrsr.o
-	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tgrsr.o $(SOPHYAEXTSLBLIST)
  
 tgsky: $(SOPHYAEXEP)tgsky
 	echo $@ " done"
 $(SOPHYAEXEP)tgsky: $(SOPHYAOBJP)tgsky.o
-	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tgsky.o $(SOPHYAEXTSLBLIST)
  
 easyTest: $(SOPHYAEXEP)easyTest
 	echo $@ " done"
 $(SOPHYAEXEP)easyTest: $(SOPHYAOBJP)easyTest.o
-	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)easyTest.o $(SOPHYAEXTSLBLIST)
  
 Sph2Sph: $(SOPHYAEXEP)Sph2Sph
 	echo $@ " done"
 $(SOPHYAEXEP)Sph2Sph: $(SOPHYAOBJP)Sph2Sph.o
-	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)Sph2Sph.o $(SOPHYAEXTSLBLIST)
+ 
+$(SOPHYAOBJP)Sph2Sph.o: Sph2Sph.cc $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)timing.h \
+  $(SOPHYAINCP)sambainit.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)datacards.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)fiospherehealpix.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)fitsspherehealpix.h \
+  $(SOPHYAINCP)fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  $(SOPHYAINCP)fitstarray.h \
+  $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)radspecvector.h \
+  $(SOPHYAINCP)radspec.h \
+  $(SOPHYAINCP)specresp.h \
+  $(SOPHYAINCP)blackbody.h \
+  $(SOPHYAINCP)convtools.h \
+  $(SOPHYAINCP)derivblackbody.h \
+  $(SOPHYAINCP)nupower.h \
+  $(SOPHYAINCP)squarefilt.h \
+  $(SOPHYAINCP)trianglefilt.h \
+  $(SOPHYAINCP)specrespvector.h \
+  $(SOPHYAINCP)gaussfilt.h \
+  $(SOPHYAINCP)bruit.h \
+  $(SOPHYAINCP)mapoperation.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  Sph2Sph.cc
  
 $(SOPHYAOBJP)easyTest.o: easyTest.cc \
@@ -67,5 +128,5 @@
   $(SOPHYAINCP)gaussfilt.h \
   $(SOPHYAINCP)trianglefilt.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  easyTest.cc
  
 $(SOPHYAOBJP)extractRS.o: extractRS.cc \
@@ -129,5 +190,5 @@
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)mapoperation.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  extractRS.cc
  
 $(SOPHYAOBJP)skymixer.o: skymixer.cc \
@@ -191,190 +252,126 @@
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)mapoperation.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)Sph2Sph.o: Sph2Sph.cc \
-  $(SOPHYAINCP)sopnamsp.h pmixer.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)srandgen.h \
-  $(SOPHYAINCP)timing.h \
-  $(SOPHYAINCP)sambainit.h \
-  $(SOPHYAINCP)skymapinit.h \
-  $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)ntoolsinit.h \
-  $(SOPHYAINCP)tarrinit.h \
-  $(SOPHYAINCP)datacards.h \
-  $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)fiospherehealpix.h \
-  $(SOPHYAINCP)sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)pixelmap.h \
-  $(SOPHYAINCP)spherepos.h \
-  $(SOPHYAINCP)unitvector.h \
-  $(SOPHYAINCP)spherehealpix.h \
-  $(SOPHYAINCP)HEALPixUtils.h \
-  $(SOPHYAINCP)fitsspherehealpix.h \
-  $(SOPHYAINCP)fitsfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  $(SOPHYAINCP)fitstarray.h \
-  $(SOPHYAINCP)cimage.h \
-  $(SOPHYAINCP)radspecvector.h \
-  $(SOPHYAINCP)radspec.h \
-  $(SOPHYAINCP)specresp.h \
-  $(SOPHYAINCP)blackbody.h \
-  $(SOPHYAINCP)convtools.h \
-  $(SOPHYAINCP)derivblackbody.h \
-  $(SOPHYAINCP)nupower.h \
-  $(SOPHYAINCP)squarefilt.h \
-  $(SOPHYAINCP)trianglefilt.h \
-  $(SOPHYAINCP)specrespvector.h \
-  $(SOPHYAINCP)gaussfilt.h \
-  $(SOPHYAINCP)bruit.h \
-  $(SOPHYAINCP)mapoperation.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)tgrsr.o: tgrsr.cc \
-  $(SOPHYAINCP)sopnamsp.h pmixer.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)srandgen.h \
-  $(SOPHYAINCP)timing.h \
-  $(SOPHYAINCP)sambainit.h \
-  $(SOPHYAINCP)skymapinit.h \
-  $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)ntoolsinit.h \
-  $(SOPHYAINCP)tarrinit.h \
-  $(SOPHYAINCP)datacards.h \
-  $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)fiospherehealpix.h \
-  $(SOPHYAINCP)sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)pixelmap.h \
-  $(SOPHYAINCP)spherepos.h \
-  $(SOPHYAINCP)unitvector.h \
-  $(SOPHYAINCP)spherehealpix.h \
-  $(SOPHYAINCP)HEALPixUtils.h \
-  $(SOPHYAINCP)fitsspherehealpix.h \
-  $(SOPHYAINCP)fitsfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  $(SOPHYAINCP)fitstarray.h \
-  $(SOPHYAINCP)cimage.h \
-  $(SOPHYAINCP)radspecvector.h \
-  $(SOPHYAINCP)radspec.h \
-  $(SOPHYAINCP)specresp.h \
-  $(SOPHYAINCP)blackbody.h \
-  $(SOPHYAINCP)convtools.h \
-  $(SOPHYAINCP)derivblackbody.h \
-  $(SOPHYAINCP)nupower.h \
-  $(SOPHYAINCP)squarefilt.h \
-  $(SOPHYAINCP)trianglefilt.h \
-  $(SOPHYAINCP)specrespvector.h \
-  $(SOPHYAINCP)gaussfilt.h \
-  $(SOPHYAINCP)bruit.h \
-  $(SOPHYAINCP)mapoperation.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)tgsky.o: tgsky.cc \
-  $(SOPHYAINCP)sopnamsp.h pmixer.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)srandgen.h \
-  $(SOPHYAINCP)timing.h \
-  $(SOPHYAINCP)sambainit.h \
-  $(SOPHYAINCP)skymapinit.h \
-  $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)ntoolsinit.h \
-  $(SOPHYAINCP)tarrinit.h \
-  $(SOPHYAINCP)datacards.h \
-  $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)fiospherehealpix.h \
-  $(SOPHYAINCP)sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)pixelmap.h \
-  $(SOPHYAINCP)spherepos.h \
-  $(SOPHYAINCP)unitvector.h \
-  $(SOPHYAINCP)spherehealpix.h \
-  $(SOPHYAINCP)HEALPixUtils.h \
-  $(SOPHYAINCP)fitsspherehealpix.h \
-  $(SOPHYAINCP)fitsfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  $(SOPHYAINCP)fitstarray.h \
-  $(SOPHYAINCP)cimage.h \
-  $(SOPHYAINCP)radspecvector.h \
-  $(SOPHYAINCP)radspec.h \
-  $(SOPHYAINCP)specresp.h \
-  $(SOPHYAINCP)blackbody.h \
-  $(SOPHYAINCP)convtools.h \
-  $(SOPHYAINCP)derivblackbody.h \
-  $(SOPHYAINCP)nupower.h \
-  $(SOPHYAINCP)squarefilt.h \
-  $(SOPHYAINCP)trianglefilt.h \
-  $(SOPHYAINCP)specrespvector.h \
-  $(SOPHYAINCP)gaussfilt.h \
-  $(SOPHYAINCP)bruit.h \
-  $(SOPHYAINCP)mapoperation.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  skymixer.cc
+ 
+$(SOPHYAOBJP)tgrsr.o: tgrsr.cc $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)timing.h \
+  $(SOPHYAINCP)sambainit.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)datacards.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)fiospherehealpix.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)fitsspherehealpix.h \
+  $(SOPHYAINCP)fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  $(SOPHYAINCP)fitstarray.h \
+  $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)radspecvector.h \
+  $(SOPHYAINCP)radspec.h \
+  $(SOPHYAINCP)specresp.h \
+  $(SOPHYAINCP)blackbody.h \
+  $(SOPHYAINCP)convtools.h \
+  $(SOPHYAINCP)derivblackbody.h \
+  $(SOPHYAINCP)nupower.h \
+  $(SOPHYAINCP)squarefilt.h \
+  $(SOPHYAINCP)trianglefilt.h \
+  $(SOPHYAINCP)specrespvector.h \
+  $(SOPHYAINCP)gaussfilt.h \
+  $(SOPHYAINCP)bruit.h \
+  $(SOPHYAINCP)mapoperation.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tgrsr.cc
+ 
+$(SOPHYAOBJP)tgsky.o: tgsky.cc $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)timing.h \
+  $(SOPHYAINCP)sambainit.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)datacards.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)fiospherehealpix.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)fitsspherehealpix.h \
+  $(SOPHYAINCP)fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  $(SOPHYAINCP)fitstarray.h \
+  $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)radspecvector.h \
+  $(SOPHYAINCP)radspec.h \
+  $(SOPHYAINCP)specresp.h \
+  $(SOPHYAINCP)blackbody.h \
+  $(SOPHYAINCP)convtools.h \
+  $(SOPHYAINCP)derivblackbody.h \
+  $(SOPHYAINCP)nupower.h \
+  $(SOPHYAINCP)squarefilt.h \
+  $(SOPHYAINCP)trianglefilt.h \
+  $(SOPHYAINCP)specrespvector.h \
+  $(SOPHYAINCP)gaussfilt.h \
+  $(SOPHYAINCP)bruit.h \
+  $(SOPHYAINCP)mapoperation.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tgsky.cc
+ 
Index: trunk/SophyaProg/PMixer/smakefile
===================================================================
--- trunk/SophyaProg/PMixer/smakefile	(revision 2751)
+++ trunk/SophyaProg/PMixer/smakefile	(revision 2765)
@@ -12,30 +12,91 @@
 	echo $@ " done"
 $(SOPHYAEXEP)skymixer: $(SOPHYAOBJP)skymixer.o
-	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)skymixer.o $(SOPHYAEXTSLBLIST)
  
 extractRS: $(SOPHYAEXEP)extractRS
 	echo $@ " done"
 $(SOPHYAEXEP)extractRS: $(SOPHYAOBJP)extractRS.o
-	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)extractRS.o $(SOPHYAEXTSLBLIST)
  
 tgrsr: $(SOPHYAEXEP)tgrsr
 	echo $@ " done"
 $(SOPHYAEXEP)tgrsr: $(SOPHYAOBJP)tgrsr.o
-	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tgrsr.o $(SOPHYAEXTSLBLIST)
  
 tgsky: $(SOPHYAEXEP)tgsky
 	echo $@ " done"
 $(SOPHYAEXEP)tgsky: $(SOPHYAOBJP)tgsky.o
-	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tgsky.o $(SOPHYAEXTSLBLIST)
  
 easyTest: $(SOPHYAEXEP)easyTest
 	echo $@ " done"
 $(SOPHYAEXEP)easyTest: $(SOPHYAOBJP)easyTest.o
-	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)easyTest.o $(SOPHYAEXTSLBLIST)
  
 Sph2Sph: $(SOPHYAEXEP)Sph2Sph
 	echo $@ " done"
 $(SOPHYAEXEP)Sph2Sph: $(SOPHYAOBJP)Sph2Sph.o
-	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)Sph2Sph.o $(SOPHYAEXTSLBLIST)
+ 
+$(SOPHYAOBJP)Sph2Sph.o: Sph2Sph.cc $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)timing.h \
+  $(SOPHYAINCP)sambainit.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)datacards.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)fiospherehealpix.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)fitsspherehealpix.h \
+  $(SOPHYAINCP)fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  $(SOPHYAINCP)fitstarray.h \
+  $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)radspecvector.h \
+  $(SOPHYAINCP)radspec.h \
+  $(SOPHYAINCP)specresp.h \
+  $(SOPHYAINCP)blackbody.h \
+  $(SOPHYAINCP)convtools.h \
+  $(SOPHYAINCP)derivblackbody.h \
+  $(SOPHYAINCP)nupower.h \
+  $(SOPHYAINCP)squarefilt.h \
+  $(SOPHYAINCP)trianglefilt.h \
+  $(SOPHYAINCP)specrespvector.h \
+  $(SOPHYAINCP)gaussfilt.h \
+  $(SOPHYAINCP)bruit.h \
+  $(SOPHYAINCP)mapoperation.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  Sph2Sph.cc
  
 $(SOPHYAOBJP)easyTest.o: easyTest.cc \
@@ -67,5 +128,5 @@
   $(SOPHYAINCP)gaussfilt.h \
   $(SOPHYAINCP)trianglefilt.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  easyTest.cc
  
 $(SOPHYAOBJP)extractRS.o: extractRS.cc \
@@ -129,5 +190,5 @@
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)mapoperation.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  extractRS.cc
  
 $(SOPHYAOBJP)skymixer.o: skymixer.cc \
@@ -191,190 +252,126 @@
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)mapoperation.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)Sph2Sph.o: Sph2Sph.cc \
-  $(SOPHYAINCP)sopnamsp.h pmixer.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)srandgen.h \
-  $(SOPHYAINCP)timing.h \
-  $(SOPHYAINCP)sambainit.h \
-  $(SOPHYAINCP)skymapinit.h \
-  $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)ntoolsinit.h \
-  $(SOPHYAINCP)tarrinit.h \
-  $(SOPHYAINCP)datacards.h \
-  $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)fiospherehealpix.h \
-  $(SOPHYAINCP)sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)pixelmap.h \
-  $(SOPHYAINCP)spherepos.h \
-  $(SOPHYAINCP)unitvector.h \
-  $(SOPHYAINCP)spherehealpix.h \
-  $(SOPHYAINCP)HEALPixUtils.h \
-  $(SOPHYAINCP)fitsspherehealpix.h \
-  $(SOPHYAINCP)fitsfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  $(SOPHYAINCP)fitstarray.h \
-  $(SOPHYAINCP)cimage.h \
-  $(SOPHYAINCP)radspecvector.h \
-  $(SOPHYAINCP)radspec.h \
-  $(SOPHYAINCP)specresp.h \
-  $(SOPHYAINCP)blackbody.h \
-  $(SOPHYAINCP)convtools.h \
-  $(SOPHYAINCP)derivblackbody.h \
-  $(SOPHYAINCP)nupower.h \
-  $(SOPHYAINCP)squarefilt.h \
-  $(SOPHYAINCP)trianglefilt.h \
-  $(SOPHYAINCP)specrespvector.h \
-  $(SOPHYAINCP)gaussfilt.h \
-  $(SOPHYAINCP)bruit.h \
-  $(SOPHYAINCP)mapoperation.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)tgrsr.o: tgrsr.cc \
-  $(SOPHYAINCP)sopnamsp.h pmixer.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)srandgen.h \
-  $(SOPHYAINCP)timing.h \
-  $(SOPHYAINCP)sambainit.h \
-  $(SOPHYAINCP)skymapinit.h \
-  $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)ntoolsinit.h \
-  $(SOPHYAINCP)tarrinit.h \
-  $(SOPHYAINCP)datacards.h \
-  $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)fiospherehealpix.h \
-  $(SOPHYAINCP)sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)pixelmap.h \
-  $(SOPHYAINCP)spherepos.h \
-  $(SOPHYAINCP)unitvector.h \
-  $(SOPHYAINCP)spherehealpix.h \
-  $(SOPHYAINCP)HEALPixUtils.h \
-  $(SOPHYAINCP)fitsspherehealpix.h \
-  $(SOPHYAINCP)fitsfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  $(SOPHYAINCP)fitstarray.h \
-  $(SOPHYAINCP)cimage.h \
-  $(SOPHYAINCP)radspecvector.h \
-  $(SOPHYAINCP)radspec.h \
-  $(SOPHYAINCP)specresp.h \
-  $(SOPHYAINCP)blackbody.h \
-  $(SOPHYAINCP)convtools.h \
-  $(SOPHYAINCP)derivblackbody.h \
-  $(SOPHYAINCP)nupower.h \
-  $(SOPHYAINCP)squarefilt.h \
-  $(SOPHYAINCP)trianglefilt.h \
-  $(SOPHYAINCP)specrespvector.h \
-  $(SOPHYAINCP)gaussfilt.h \
-  $(SOPHYAINCP)bruit.h \
-  $(SOPHYAINCP)mapoperation.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)tgsky.o: tgsky.cc \
-  $(SOPHYAINCP)sopnamsp.h pmixer.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)srandgen.h \
-  $(SOPHYAINCP)timing.h \
-  $(SOPHYAINCP)sambainit.h \
-  $(SOPHYAINCP)skymapinit.h \
-  $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)ntoolsinit.h \
-  $(SOPHYAINCP)tarrinit.h \
-  $(SOPHYAINCP)datacards.h \
-  $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)fiospherehealpix.h \
-  $(SOPHYAINCP)sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)pixelmap.h \
-  $(SOPHYAINCP)spherepos.h \
-  $(SOPHYAINCP)unitvector.h \
-  $(SOPHYAINCP)spherehealpix.h \
-  $(SOPHYAINCP)HEALPixUtils.h \
-  $(SOPHYAINCP)fitsspherehealpix.h \
-  $(SOPHYAINCP)fitsfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  $(SOPHYAINCP)fitstarray.h \
-  $(SOPHYAINCP)cimage.h \
-  $(SOPHYAINCP)radspecvector.h \
-  $(SOPHYAINCP)radspec.h \
-  $(SOPHYAINCP)specresp.h \
-  $(SOPHYAINCP)blackbody.h \
-  $(SOPHYAINCP)convtools.h \
-  $(SOPHYAINCP)derivblackbody.h \
-  $(SOPHYAINCP)nupower.h \
-  $(SOPHYAINCP)squarefilt.h \
-  $(SOPHYAINCP)trianglefilt.h \
-  $(SOPHYAINCP)specrespvector.h \
-  $(SOPHYAINCP)gaussfilt.h \
-  $(SOPHYAINCP)bruit.h \
-  $(SOPHYAINCP)mapoperation.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  skymixer.cc
+ 
+$(SOPHYAOBJP)tgrsr.o: tgrsr.cc $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)timing.h \
+  $(SOPHYAINCP)sambainit.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)datacards.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)fiospherehealpix.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)fitsspherehealpix.h \
+  $(SOPHYAINCP)fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  $(SOPHYAINCP)fitstarray.h \
+  $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)radspecvector.h \
+  $(SOPHYAINCP)radspec.h \
+  $(SOPHYAINCP)specresp.h \
+  $(SOPHYAINCP)blackbody.h \
+  $(SOPHYAINCP)convtools.h \
+  $(SOPHYAINCP)derivblackbody.h \
+  $(SOPHYAINCP)nupower.h \
+  $(SOPHYAINCP)squarefilt.h \
+  $(SOPHYAINCP)trianglefilt.h \
+  $(SOPHYAINCP)specrespvector.h \
+  $(SOPHYAINCP)gaussfilt.h \
+  $(SOPHYAINCP)bruit.h \
+  $(SOPHYAINCP)mapoperation.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tgrsr.cc
+ 
+$(SOPHYAOBJP)tgsky.o: tgsky.cc $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)timing.h \
+  $(SOPHYAINCP)sambainit.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)datacards.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)fiospherehealpix.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)fitsspherehealpix.h \
+  $(SOPHYAINCP)fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  $(SOPHYAINCP)fitstarray.h \
+  $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)radspecvector.h \
+  $(SOPHYAINCP)radspec.h \
+  $(SOPHYAINCP)specresp.h \
+  $(SOPHYAINCP)blackbody.h \
+  $(SOPHYAINCP)convtools.h \
+  $(SOPHYAINCP)derivblackbody.h \
+  $(SOPHYAINCP)nupower.h \
+  $(SOPHYAINCP)squarefilt.h \
+  $(SOPHYAINCP)trianglefilt.h \
+  $(SOPHYAINCP)specrespvector.h \
+  $(SOPHYAINCP)gaussfilt.h \
+  $(SOPHYAINCP)bruit.h \
+  $(SOPHYAINCP)mapoperation.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tgsky.cc
+ 
